For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Edit
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API reference
  • Swagger Plant Store - OpenAPI 3.1
      • GETLogs user into the system
      • GETLogs out current logged-in user session
      • GETGet user by username
  • Plant Store AsyncAPI
Edit
LogoLogo
Swagger Plant Store - OpenAPI 3.1user

Logs user into the system

|View as Markdown|Open in Claude|
GET
https://api.plantstore.dev/v3/user/auth/login
GET
/v3/user/auth/login
$curl https://api.plantstore.dev/v3/user/auth/login
200Successful login response
1{
2 "token": "abc123token",
3 "expiresIn": 3600
4}
Was this page helpful?
Previous

Find plant by ID

Next

Logs out current logged-in user session

Built with

Query parameters

usernamestringOptional
The username for login
passwordstringOptional
The password for login

Response headers

Set-Cookiestring
Session token for user authentication

Response

Successful login
tokenstring
Authentication token
expiresIninteger
Token expiration time in seconds